OpenMesh::PolyConnectivity::CirculatorRange< CONTAINER_TYPE, ITER_TYPE, CENTER_ENTITY_TYPE, begin_fn, end_fn > Class Template Reference

Generic class for iterator ranges. More...

`#include <OpenMesh/Core/Mesh/PolyConnectivity.hh>`

## Public Types

typedef ITER_TYPE | iterator
typedef ITER_TYPE | const_iterator

## Public Member Functions

| CirculatorRange (const CONTAINER_TYPE &container, CENTER_ENTITY_TYPE center)
ITER_TYPE | begin () const
ITER_TYPE | end () const

## Detailed Description

### template<typename CONTAINER_TYPE, typename ITER_TYPE, typename CENTER_ENTITY_TYPE, ITER_TYPE(CONTAINER_TYPE::*)(CENTER_ENTITY_TYPE) const begin_fn, ITER_TYPE(CONTAINER_TYPE::*)(CENTER_ENTITY_TYPE) const end_fn>
class OpenMesh::PolyConnectivity::CirculatorRange< CONTAINER_TYPE, ITER_TYPE, CENTER_ENTITY_TYPE, begin_fn, end_fn >

Generic class for iterator ranges.

The documentation for this class was generated from the following file:

- OpenMesh/Core/Mesh/PolyConnectivity.hh